JALVIEW(1)

NAME
jalview - Multiple alignment editor

SYNOPSIS
jalview -open [FILE] [OUTPUT_FORMAT] [OUTPUT_FILE]

DESCRIPTION

Jalview provides facilities for viewing/editing and otherwise manipulating sequence alignments (DNA, amino acids).

OPTIONS

-nodisplay
    Run Jalview without User Interface.

-props FILE
    Use the given Jalview properties file instead of users default.

-colour COLOURSCHEME
    The colourscheme to be applied to the alignment

-annotations FILE
    Add precalculated annotations to the alignment.

-tree FILE
    Load the given newick format tree file onto the alignment

-features FILE
    Use the given file to mark features on the alignment.

-fasta FILE
    Create alignment file FILE in Fasta format.

-clustal FILE
    Create alignment file FILE in Clustal format.

-pfam FILE
    Create alignment file FILE in PFAM format.

-msf FILE
    Create alignment file FILE in MSF format.

-pileup FILE
    Create alignment file FILE in Pileup format

-pir FILE
    Create alignment file FILE in PIR format.

-blc FILE
    Create alignment file FILE in BLC format.

-json FILE
    Create alignment file FILE in JSON format.

-jalview FILE
    Create alignment file FILE in Jalview format.

-png FILE
    Create PNG image FILE from alignment.

-svg FILE
    Create SVG image FILE from alignment.

-html FILE
    Create HTML file from alignment.

-biojsMSA FILE
    Create BioJS MSA Viewer HTML file from alignment.

-imgMap FILE
    Create HTML file FILE with image map of PNG image.

-eps FILE
    Create EPS file FILE from alignment.

-questionnaire URL
    Queries the given URL for information about any Jalview user questionnaires.

-noquestionnaire
    Turn off questionnaire check.

-nonews
    Turn off check for Jalview news.

-nohtmltemplates
    Disable the automatic download of templates in the Github repository.

-sortbytree OR -nosortbytree
    Enable or disable sorting of the given alignment by the given tree

-jabaws URL
    Specify URL for Jabaws services (e.g. for a local installation).

-fetchfrom nickname
    Query nickname for features for the alignments and display them.

-groovy FILE
    Execute groovy script in FILE, after all other arguments have been processed (if FILE is the text 'STDIN' then the file will be read from STDIN).

-jvmmempc=PERCENT
    Only available with standalone executable jar or jalview.bin.Launcher. Limit maximum heap size (memory) to PERCENT percents of total physical memory detected. This defaults to 90 if total physical memory can be detected. See https://www.jalview.org/help/html/memory.html for more details.

-jvmmemmax=MAXMEMORY
    Only available with standalone executable jar or jalview.bin.Launcher. Limit maximum heap size (memory) to MAXMEMORY. MAXMEMORY can be specified in bytes, kilobytes(k), megabytes(m), gigabytes(g) or if you're lucky enough, terabytes(t). This defaults to 32g if total physical memory can be detected, or to 8g if total physical memory cannot be detected. See https://www.jalview.org/help/html/memory.html for more details.

SEE ALSO
https://www.jalview.org

AUTHOR
This manual page was written by Vincent Fourmond <fourmond@debian.org> and Pierre Gruet <pgt@debian.org> from the Debian project, but may be used by others.